List Jobs
curl --request GET \
--url https://api.vachana.ai/stt/v3/batch/jobs \
--header 'X-API-Key-ID: <api-key>'import requests
url = "https://api.vachana.ai/stt/v3/batch/jobs"
headers = {"X-API-Key-ID": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key-ID': '<api-key>'}};
fetch('https://api.vachana.ai/stt/v3/batch/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"job_id": "019fa79e-81f9-7a8a-a446-6eff16ddec30",
"status": "COMPLETED",
"total_files": 1,
"completed_files": 1,
"failed_files": 0,
"created_at": "2026-07-28T07:26:50.926489Z",
"completed_at": "2026-07-28T07:27:24.621462Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjogIjIwMjYtMDctMjdUMDc6NDM6NTguMDU1NzMzKzAwOjAwIiwgImlkIjogIjAxOWZhMjg3LWNmNjItNzE2OC1iM2MyLTQ1ZjExOGFjNzYxZCJ9"
}
}List Jobs
List batch transcription jobs with optional status filter and pagination.
GET
/
stt
/
v3
/
batch
/
jobs
List Jobs
curl --request GET \
--url https://api.vachana.ai/stt/v3/batch/jobs \
--header 'X-API-Key-ID: <api-key>'import requests
url = "https://api.vachana.ai/stt/v3/batch/jobs"
headers = {"X-API-Key-ID": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key-ID': '<api-key>'}};
fetch('https://api.vachana.ai/stt/v3/batch/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"job_id": "019fa79e-81f9-7a8a-a446-6eff16ddec30",
"status": "COMPLETED",
"total_files": 1,
"completed_files": 1,
"failed_files": 0,
"created_at": "2026-07-28T07:26:50.926489Z",
"completed_at": "2026-07-28T07:27:24.621462Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjogIjIwMjYtMDctMjdUMDc6NDM6NTguMDU1NzMzKzAwOjAwIiwgImlkIjogIjAxOWZhMjg3LWNmNjItNzE2OC1iM2MyLTQ1ZjExOGFjNzYxZCJ9"
}
}Overview
List batch jobs for your organization. Use filters and cursor pagination to browse history.Authentication
| Header | Required | Description |
|---|---|---|
X-API-Key-ID | Yes | Your Gnani Prisma v2.5 API key |
Query Parameters
string
Filter by job status (
CREATED, IN_PROGRESS, COMPLETED, FAILED, etc.).integer
default:"20"
Page size (1–100).
string
Pagination cursor from
pagination.next_cursor.Example cURL
curl "https://api.vachana.ai/stt/v3/batch/jobs?limit=5" \
-H "X-API-Key-ID: <YOUR_API_KEY>"
Response
Success (200)
{
"data": [
{
"job_id": "019fa259-b084-71eb-94d7-ba4cdf2e64c6",
"status": "COMPLETED",
"total_files": 1,
"created_at": "2026-07-27T06:53:34.750193Z",
"completed_at": "2026-07-27T06:53:52.179794Z"
}
],
"pagination": {
"has_more": false,
"next_cursor": null,
"total_count": 1
}
}
Use Cases
- Reviewing recent batch jobs in your org
- Filtering failed or in-progress jobs for ops dashboards
Authorizations
Your Gnani Prisma v2.5 API key
Query Parameters
Filter by job status (CREATED, IN_PROGRESS, COMPLETED, FAILED, CANCELLED, etc.)
Page size (1–100)
Required range:
1 <= x <= 100Pagination cursor from pagination.next_cursor
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?